Logo

Alipay Notify Transfer

The notifyTransfer API is used by Alipay+ to notify the transfer result to the payer agent. The payer agent needs to proceed accordingly after receiving the notification.

Note: A valid token is required for authentication as it expires after every hour. Refer to the Token Request section to generate a new token.

Request Parameters

  • transferResult: The transfer result. See the Transfer result codes table for details.
  • payerAgentId: The unique ID that is assigned by Alipay+ to identify a payer agent.
  • beneficiaryAgentId: The unique ID that is assigned by Alipay+ to identify a beneficiary agent.
  • transferRequestId: The unique ID that is assigned by Alipay+ to identify a beneficiary agent.
  • transferId: The unique ID that is assigned by Alipay+ to identify a transfer.
  • transferFromAmount: The amount paid by the payer agent.
  • transferToAmount: The amount received by the beneficiary.
  • instructedAmountType: The identifier indicating the exchange rate calculation direction.
  • transferTime: The time of a successful transfer.
  • transferQuote: The transfer quote that is used to record real-time exchange rates.
  • additionalBeneficiaryDetails: Additional beneficiary details.
  • complianceResult: The compliance check result returned by Alipay+ to the payer agent.
  • passThroughInfo: Passthrough information in sets of key-value pairs in JSON map format transmitted by the payer agent to Alipay+.
POST/v1/alipay-notify-transfer

Submit Order

Send the JSON payload to the sandbox environment to test mobile wallet integrations.